<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_ab8b6a5b56b4cfd7323" . "0ed5cad4fb54c" => base64_decode("Y29yZS5" . "ib290ZW" . "Q="), "_eea266d1da508f42d" . "eea49cc3add68ec" => base64_decode("UFV" . "U"), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_8ec8f26c742278f90615f50d6" . "82eea79" => base64_decode("UE9TVA=" . "="), "_db7b295629faa16027a2c26" . "3095eba70" => base64_decode("cGhwX3NhcGlfbm" . "FtZQ=="), "_bd8510ebf29b" . "0f687c25c90c7" . "40715d8" => base64_decode("aHR0cF9yZXNwb25zZV9jb2R" . "l"), "_e06da3ffba2e84b8e6f94b" . "d2d6ca3c52" => base64_decode("Y3JlYXRlX2ludGVybmFsX2xpbms" . "="), "_c91b0ff19f81a8873a4593a2371947" . "2c" => base64_decode("cnRy" . "aW0="), "_8fec21706bd243b37" . "ecf62b1caf8fb8a" => base64_decode("Y2" . "xp"), "_2b2486424e6dfb906c925739c3" . "29be7c" => base64_decode("aGVhZGV" . "y"), "_87daa84e346f6420a3f3426e0" . "5d16a7b" => base64_decode("L" . "w" . "=" . "="), "_fad3a97fa7919b1999c977c8b" . "dad925a" => base64_decode("c3ltZ" . "m9ueV" . "9yZXF" . "1ZXN0"), "_14feb73099827a" . "30c31c0b996c13f" . "13c" => base64_decode("b25LZXJuZWxSZXF1ZXN" . "0"), "_e6d18c493faa20d5d45c" . "0751d2c02ce6" => base64_decode("TG9jY" . "XRpb2" . "46IA=" . "="), "_781e2532c1e5" . "6969c535c1184" . "064bae6" => base64_decode("b25Db3JlQm9vdA" . "=="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c91b0ff19f81a8873a4593a23719" . "472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_87daa84e346f6420a3f3426e0" . "5d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_14feb73099827a30c31c" . "0b996c13f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_ab8b6a5b56b4cfd73230ed5cad" . "4fb54c"] => $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_781e2532c1e56969c53" . "5c1184064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4d707fab" . "93bebb00b" . "be69e8159" . "697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8ec8f26c742278f90615f50d682" . "eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_eea266d1da508f42deea49cc3add" . "68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_db7b295629faa16027a2c263095eba7" . "0"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8fec21706bd243b37ecf62" . "b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_fad3a97fa7919b1999c977c8bda" . "d925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e06da3ffba2e84b8e6f94bd2d6ca3" . "c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fab93bebb00bbe" . "69e8159697c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_bd8510ebf29b0f687c" . "25c90c740715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2b2486424e6dfb9" . "06c925739c329be7" . "c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e6d18c493faa20" . "d5d45c0751d2c02" . "ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e06da3ffba2e84b8e6f94bd2d6ca" . "3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}